Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(86)

Issue 1768383004: Cleanup AuthenticatorMethod usage. (Closed)

Created:
4 years, 6 months ago by Sergey Ulanov
Modified:
4 years, 6 months ago
Reviewers:
Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Cleanup AuthenticationMethod usage. Previously AuthenticationMethod type was used in many places. Removed all dependencies on it except from NegotiatingAuthenticator classes. AuthenticationMethod has been moved to NegotiatingAuthenticatorBase::Method. Also includes the following cleanups: - removed old authentication functions from auth_util.cc which were no longer needed. - Remove HashFunction enum as it wasn't useful. BUG=589698 Committed: https://crrev.com/42cb6f9f0990561fa6c5e8bf436b6dcd60d0b52f Cr-Commit-Position: refs/heads/master@{#380078}

Patch Set 1 : #

Total comments: 10

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+183 lines, -343 lines) Patch
M remoting/client/jni/chromoting_jni_instance.cc View 1 chunk +1 line, -9 lines 0 comments Download
M remoting/client/plugin/chromoting_instance.cc View 1 chunk +1 line, -9 lines 0 comments Download
M remoting/host/pin_hash.cc View 4 chunks +4 lines, -7 lines 0 comments Download
M remoting/protocol/auth_util.h View 1 1 chunk +3 lines, -12 lines 0 comments Download
M remoting/protocol/auth_util.cc View 1 chunk +12 lines, -13 lines 0 comments Download
D remoting/protocol/authentication_method.h View 1 chunk +0 lines, -49 lines 0 comments Download
D remoting/protocol/authentication_method.cc View 1 chunk +0 lines, -80 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M remoting/protocol/negotiating_authenticator_base.h View 1 2 3 4 4 chunks +23 lines, -8 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_base.cc View 2 4 chunks +33 lines, -5 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_unittest.cc View 1 2 3 4 6 chunks +43 lines, -43 lines 0 comments Download
M remoting/protocol/negotiating_client_authenticator.h View 3 chunks +2 lines, -4 lines 0 comments Download
M remoting/protocol/negotiating_client_authenticator.cc View 2 9 chunks +23 lines, -27 lines 0 comments Download
M remoting/protocol/negotiating_host_authenticator.h View 3 chunks +5 lines, -7 lines 0 comments Download
M remoting/protocol/negotiating_host_authenticator.cc View 2 11 chunks +18 lines, -21 lines 0 comments Download
M remoting/protocol/pairing_client_authenticator.h View 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/pairing_client_authenticator.cc View 2 3 chunks +4 lines, -7 lines 0 comments Download
M remoting/remoting_srcs.gypi View 1 chunk +0 lines, -2 lines 0 comments Download
M remoting/test/connection_setup_info.h View 2 chunks +0 lines, -4 lines 0 comments Download
M remoting/test/host_info.cc View 3 chunks +2 lines, -16 lines 0 comments Download
M remoting/test/protocol_perftest.cc View 3 chunks +4 lines, -6 lines 0 comments Download
M remoting/test/remote_host_info.cc View 3 chunks +2 lines, -8 lines 0 comments Download
M remoting/test/test_chromoting_client.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/test/test_chromoting_client_unittest.cc View 1 chunk +0 lines, -2 lines 0 comments Download

Messages

Total messages: 20 (11 generated)
Sergey Ulanov
4 years, 6 months ago (2016-03-08 01:09:29 UTC) #6
Jamie
https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/auth_util.h File remoting/protocol/auth_util.h (right): https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/auth_util.h#newcode34 remoting/protocol/auth_util.h:34: // Applies the specified hash function to |shared_secret| with ...
4 years, 6 months ago (2016-03-08 02:17:38 UTC) #8
Sergey Ulanov
https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/auth_util.h File remoting/protocol/auth_util.h (right): https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/auth_util.h#newcode34 remoting/protocol/auth_util.h:34: // Applies the specified hash function to |shared_secret| with ...
4 years, 6 months ago (2016-03-08 18:32:40 UTC) #9
Jamie
lgtm if my remaining comment isn't valid (or is a trivial change). https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/negotiating_authenticator_unittest.cc File remoting/protocol/negotiating_authenticator_unittest.cc ...
4 years, 6 months ago (2016-03-08 22:42:51 UTC) #10
Sergey Ulanov
https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/negotiating_authenticator_unittest.cc File remoting/protocol/negotiating_authenticator_unittest.cc (right): https://codereview.chromium.org/1768383004/diff/40001/remoting/protocol/negotiating_authenticator_unittest.cc#newcode85 remoting/protocol/negotiating_authenticator_unittest.cc:85: } On 2016/03/08 22:42:50, Jamie wrote: > On 2016/03/08 ...
4 years, 6 months ago (2016-03-09 03:45:00 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1768383004/90001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1768383004/90001
4 years, 6 months ago (2016-03-09 03:45:15 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1768383004/110001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1768383004/110001
4 years, 6 months ago (2016-03-09 04:26:31 UTC) #16
commit-bot: I haz the power
Committed patchset #5 (id:110001)
4 years, 6 months ago (2016-03-09 05:37:11 UTC) #18
commit-bot: I haz the power
4 years, 6 months ago (2016-03-09 05:38:41 UTC) #20
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/42cb6f9f0990561fa6c5e8bf436b6dcd60d0b52f
Cr-Commit-Position: refs/heads/master@{#380078}

Powered by Google App Engine
This is Rietveld 408576698